| stssearch

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Search a DNA database for matches with a set of STS primers

## Description

stssearch searches one or more DNA sequences with a set of STS primers and reports expected matches. The database to search, the input primer pairs file and an output file for matches are specified. For each pair of primers, it looks for matches between the primers and the query sequence in either orientation. Details of any matches are written to the output file. Only one primer need match for it to be reported.

## Usage

Here is a sample session with stssearch

    % stssearch
    Search a DNA database for matches with a set of STS primers
    Input nucleotide sequence(s): @eclac.list
    Primer pairs file: lac.primers
    Output file [j01636.stssearch]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Search a DNA database for matches with a set of STS primers
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers:
      [-seqall]            seqall     Nucleotide sequence(s) filename and optional
                                      format, or reference (input USA)
      [-infile]            infile     Primer pairs file
      [-outfile]           outfile    [*.stssearch] Output file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-seqall" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory3        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-seqall] (Parameter 1) | seqall | Nucleotide sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
[-infile] (Parameter 2) | infile | Primer pairs file | Input file | Required
[-outfile] (Parameter 3) | outfile | Output file name | Output file | <*>.stssearch
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-seqall" associated seqall qualifiers
-sbegin1 -sbegin_seqall | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_seqall | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_seqall | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_seqall | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_seqall | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_seqall | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_seqall | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_seqall | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_seqall | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_seqall | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_seqall | string | Input sequence format | Any string |
-iquery1 -iquery_seqall | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_seqall | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_seqall | string | Database name | Any string |
-sid1 -sid_seqall | string | Entryname | Any string |
-ufo1 -ufo_seqall | string | UFO features | Any string |
-fformat1 -fformat_seqall | string | Features format | Any string |
-fopenfile1 -fopenfile_seqall | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory3 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### File: eclac.list

    #Formerly ECLAC
    tembl:J01636

    #Formerly ECLACA
    tembl:X51872

    #Formerly ECLACI
    tembl:V00294

    #Formerly ECLACY
    tembl:V00295

    #Formerly ECLACZ
    tembl:V00296

### File: lac.primers

    PrimA ACCAGACACCCATCAACAG    TATTTATGCCAGCCAGCCAG
    PrimB CGAAAGAATAAGAGCAGGCAAG GTAAGAGAAATAGACAGGCGG
    PrimC CGTCAGTATCCCCGTTTACAG  TATCGCCAAAATCACCGCC
    PrimD AATACGCAAACCGCCTCTCC   TTATCCGCTCACAATTCCACAC
    PrimE AATACGCAAACCGCCTCTCC   CACAACCCGCTCACAATTCCA

The primers file consists of three columns separated by tabs or spaces.

The first column is the name of the primer pair.
The second column is the sequence of the first primer.
The third column is the sequence of the second primer.

## Output file format

### Output files for usage example

### File: j01636.stssearch

    J01636: PrimA PrimerA matched at 532
    J01636: (rev) PrimA PrimerB matched at 689
    J01636: PrimB PrimerA matched at 5743
    J01636: (rev) PrimB PrimerB matched at 5942
    J01636: PrimC PrimerA matched at 2954
    J01636: (rev) PrimC PrimerB matched at 3069
    J01636: PrimD PrimerA matched at 1074
    J01636: (rev) PrimD PrimerB matched at 1261
    J01636: PrimE PrimerA matched at 1074
    X51872: PrimB PrimerA matched at 98
    X51872: (rev) PrimB PrimerB matched at 297
    V00294: PrimA PrimerA matched at 484
    V00294: (rev) PrimA PrimerB matched at 641
    V00294: PrimD PrimerA matched at 1026
    V00294: PrimE PrimerA matched at 1026
    V00295: PrimB PrimerA matched at 1439
    V00296: PrimC PrimerA matched at 1668
    V00296: (rev) PrimC PrimerB matched at 1783

The output file consists of one line per match. This consists of:

- The name of the sequence that the match is found in, followed by a ':'.
- If the match is in the reverse sense, it has a '(rev)'.
- The name of the primer pair.
- 'PrimerA' or 'PrimerB'.
- 'matched at' the start of the match position.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

None.

## Known bugs

None.

## See also

Program name | Description
--- | ---
eprimer3 | Pick PCR primers and hybridization oligos
eprimer32 | Pick PCR primers and hybridization oligos
primersearch | Search DNA sequences for matches with primer pairs

If you want something that only reports matches of both primer pairs and can find mismatches, use primersearch.

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None